Over view

ShellLess Explorer

ShellLess
Over view

ShellLess Explorer is a powerful file explorer replacement and has far more features to make up a complete file explorer.

The Ultimate File Explorer

§ Based on windows shell COM+ - Easy to use yet powerful

§ All the shell goodies from windows explorer - And there's far more...

§ The best windows explorer replacement - Try it once and you'll know it's true.

ShellLess Works the Way You Want It To

§ Tabbed Multi-Panel Interface - Ultra easy to work with numerous folders at the same time.

§ Fast and easy to navigate to any places you want - A navigation bar and a list of MRU files/folders are provided

§ Quick File Finder - Too many files to find what you want? Just type the name and get it!

§ Undo List - Lists all the file operations you did and allows you to undo any of them

§ To-do Cart - Drag and drop files from different folders to the cart and then copy/move at a time!

§ Fully Customizable - Tool bars, menus, hot keys, themes, layouts...

§ Others - Favorite bar, History record...

ShellLess Explorer.
Copyright© 2007-2008 ShellLessWorks. All rights reserved.


Features

Features

Tabbed Browsing

All the folder windows are arranged as tabs inside main window to ease your navigation. You can find almost all common operations in the Right-click Menu of tabs.

Multi-Panel Interface

Total Commander-like Dual-Panel and Multi-Panel interface are supported. You can easily move folder windows between these panels.

Navigation Bar

A vista style navigation bar is provided, which enables you to quickly navigate to higher level folders.

MRU/MFU Folder List

ShellLess explorer remembers folders and files that you have recently accessed. They are arranged as MRU (most recently used) and MFU(most frequently used) lists. You'll be able to quickly navigate to recent folders/files.

Quick File Finder/Filter

Too many files to find what you want? Can't remember full name of the file? Just type the name in the folder view and get all similar in the found list!

Undo List for File Operation

Lists all the file operations you did and allows you to undo any of them. You can go to source or destination folder via Right-click Menu of the record.

To-do File Cart

You can drag and drop files from different folders to the cart and then copy/move at a time!

Favorite Bar

Favorite Bar allows you to add your common places to favorite bar. You can add paths to Favorite Bar via Right-click Menu of the tab.

History Record

All files and folders you have recently accessed are organized by day. You can review what you had accessed a few days ago.


User Interface

User Interface

Related Topics

Docking Panel
Toolbars
Work Space


Docking Panel

Docking Panel

The ShellLess Explorer user interface is divided up into numerous windows that may be docked to any edge of the main application or may "float" detached from the main application.

They are arranged as three window groups:

Left Panel

§ Folder Bar

§ Favorites Bar

§ History Bar

Bottom Panel

§ Undo List Bar

§ To-do Cart Bar

Right Panel

§ Recent Bar

§ Finder/Filter Bar

Related Topics

User Interface
Left Panel
Bottom Panel
Right Panel


Left Panel

Left Panel

Folder Bar

The Folder Bar is similar to the left hand tree view in Windows Explorer. It contains a tree representation of the folders found on your computer system.

Favorites Bar

The Favorites window allows the user to create a list of commonly used folders and applications grouped in any manner that is desired. This window is a good place to put commonly used files, project folders that are commonly accessed or applications to be launched. Some of the features of this window are:

  • Addition of items selected in the Listview directly into the Favorites window through a menu selection
  • Quickly add tabs to favorites from right-click menu
  • The Favorites may also be accessed from the main menu.

History Bar

All files and folders you have recently accessed are organized by day. You can review what you had accessed a few days ago.

  • Click a folder to browse the active folder view to that folder.
  • Click a file to open it.
  • You can organize the favorites by drag and drop the favorite item.

Related Topics

Docking Panel


Bottom Panel

Bottom Panel

Undo List Bar

Undo List records the file operation that you did. It allows you to undo the operation you did by error

  • Double click or press Ctrl+Z to undo the selected operation
  • You can go to the source/ destination dir from right-click menu

Note: This function is not available in Vista.

To-do Cart Bar

To-do Cart gives you the ability to operate file and folders from different path. You can drag files into this cart and then copy or cut them at a time!

Docking Panel


Right Panel

Right Panel

Recent Bar

Recent bar gives you the fast access to recent folders and files. Simply click on the link to navigate/execute to that folder/file. It will respond to update when folders are browsed to and files are executed.

Finder/Filter Bar

Too many files in the folder to find what you want? Just type the full name or part of the name in folder view, Quick Filter/Finder Bar will appear and list the most similar folders/files. Simply click on the file/folder found in list to select and highlight the file/folder in folder view.

In Setting menu, you can config:

  • Auto show – Enables the bar to show automatically when you press any key in folder view
  • Auto hide – Indicate that the bar will hide itself after you have found and selected the file/folder you want.

Docking Panel


Toolbars

Toolbars

Related Topics

User Interface
Standard Bar
View Bar
Tools Bar
Folder View Bar
Quick Search Bar
Theme Bar
Address Bar
Drives Bar


Standard Bar

Standard Bar

Common actions are included in this toolbar. Such as back, forward, cut, copy, parse, delete, undo, views.

Toolbars


View Bar

View Bar

It lists all docking panes’ quick access command. Three buttons of the three panel groups are also included.

Toolbars


Tools Bar

Tools Bar

The common tools including:

  • Dos command prompt
  • Advanced search
  • ShellLess Option

Toolbars


Folder View Bar

Folder View Bar

  • Home
  • New Horizontal Tab group
  • New Vertical Tab group
  • Move tab to previous tab group
  • Move tab to next tab group
  • Toggle H/V tab group

Toolbars


Quick Search Bar

Quick Search Bar

Enter the name of file you want, press enter to select the file.

Toolbars


Theme Bar

Theme Bar

Click to switch between the 6 themes.

Toolbars


Address Bar

Address Bar

Enter the path you want go and press go or ENTER

Toolbars


Drives Bar

Drives Bar

The Drives Toolbar gives the user fast access to local and mapped drives. Simply click on the drive to navigate to that drive. It will respond to shell changes to update when drives are disconnected/connected and USB drives being installed/removed.

Toolbars


Work Space

Work Space

Related Topics

User Interface
Tabs Bar
Navigation Bar
Folder View


Tabs Bar

Tabs Bar

It supports:

  • Double click on a tab will duplicate current tab .
  • Double click on a tab will close the tab.
  • Drag a folder to the tab bar will open a new tab window .
  • Drag the tab to reposition the tabs .
  • Drag the tab to other tab groups.

Work Space


Navigation Bar

Navigation Bar

The Navigation Bar is a new feature in Windows Vista file manager and now you can have it in ShellLess. The bar gives the user fast access to parent folders of current browse path. Simply click on the button to navigate to that parent folder.

Work Space


Folder View

Folder View

Folder view contains the shell folder list view, you can quickly sort files by click the buttons in right of navigation bar.

See more options of folder view Folder Option

Work Space


Options

Options

Related Topics

ShellLess Option
Folder Option


ShellLess Option

ShellLess Option

General

§ Confirm on exit – When exit, it will show a confirm dialog to avoid closing by accident.

§ Run only one instance – if checked, only one ShellLess will exist even you open two ShellLess.

§ Docking at top/bottom – Workspace tabs alignment at top or bottom.

§ Startup – what is opened when startup

Keyboard

§ Show command – quick filter to quickly find the command you want.

§ Shortcuts for selected – List the hotkeys already assigned to selected command.

§ Press shortcut – Press the hotkey that you want to assign to the command here

§ Shortcut currently – what command is the hotkey you pressed assigned to

Options


Folder Option

Folder Option

Folder Option is the same one as windows explorer (Tools->Folder Option). You can config folder view settings:

§ Use windows classic folders if you don’t want system common tasks bar

§ Change view settings such as Show/Hide hidden files, File Info tips

Options


Customization

Customization

Related Topics

Toolbars and Menus
Docking Pane Layout
Themes


Toolbars and Menus

Toolbars and Menus

Enable/Disable Toolbar

When right click at toolbar area, a menu will pop up:

You can enable/disable any toolbar by checking/unchecking the menu item.

Add or Remove Buttons

Add New Toolbar/Buttons

Choose Right-click Menu -> Customize, a dialog will pop up:

You can:

§ Create new toolbar

§ Add new command to exist toolbars

§ Change toolbar and menu options

Customization


Docking Pane Layout

Docking Pane Layout

ShellLess Explorer comes with a set of pre-defined layout so you can quickly choose the layout that suits you best.

You can switch layout from the Tools -> Layouts menu. SHellLess Explorer will remember the chosen layout for the next time you open ShellLess Explorer.

Currently there are three pre-defined layout as follow:

§ Clean - Simple, clean appearance that only workspace is shown. Saves room most.

§ Auto hide - All docking panes are in auto-hide mode.

§ Title - All docking panes are shown. Convenient but takes more room.

Tips: You could also customize the pane layout and save to/load from files via the Tools -> Layouts menu.

Customization


Themes

Themes

ShellLess Explorer comes with a set of different themes / appearances so you can choose the theme that suits you best.

You can switch appearance while using SHellLess Explorer. You can switch theme from the Tools -> Themes menu. SHellLess Explorer will remember the chosen theme for the next time you open ShellLess.

Currently there are five themes as follow:

Win2000

Office2000

Office2003

NativeXP

Whidbey

Ribbon(default)

Customization


Shortcuts

Shortcuts

Default Keyboard Shortcuts

Copy. | CTRL+C
Cut. | CTRL+X
Paste. | CTRL+V
Delete. | DELETE
Delete selected item permanently without placing the item in the Recycle Bin. | SHIFT+DELETE
Undo | CTRL+Z
Quick Find | CTRL+F
File Search | CTRL+S
Copy selected item. | CTRL while dragging an item
Rename selected item. | F2
Select more than one file or folder. | SHIFT with any of the arrow keys
Select all. | CTRL+A
View properties for the selected item. | ALT+ENTER
Quit ShellLess. | ALT+F4
Close the active folder | CTRL+F4
Display the context menu for the selected item. | SHIFT+F10
Refresh the active window. | F5
Display the bottom of the active window. | END
Display the top of the active window. | HOME
Open a folder one level up | BACKSPACE
Full screen | F11
Home space | ALT+ HOME

Note: To customize the keyboard shortcuts, see option->keyboard

Mouse Shortcuts

Double left click on a tab bar | duplicate last tab
Double left click on a tab | close tab
left click -> drag file/folder | Move file/folder
Ctrl+left click -> drag file/folder | Copy file/folder


History

History

Version 1.06

  • Bug Fix: Only one file is processed when undo a multi-files operation.
  • Bug Fix: Open an empty tab when open last opened at startup.
  • Bug Fix: When creating a new search tab window, the file-name combobox is not focused.
  • Feature: Added new folder shortcut(F12)
  • Feature: Now support drag from search results into another folder pane to copy or move a file.

Version 1.05

  • Bug Fix: API incompatible problems in win2000 and vista.
  • Bug Fix: Right menu status of undo list is not correct.
  • Bug Fix: Task panel’s look-feel doesn’t change when theme changed.
  • Bug Fix: Per Folder View settings not saved
  • Feature: Now files can be added to favorites.
  • Feature: F5 = Refresh hotkey
  • Feature: Added option to set quick filter/finder bar with the auto-hide and auto-show feature.
  • Feature: Added registration scheme.
  • Feature: Added protection scheme.
  • Feature: Added more help and about information

Version 0.99beta

  • Bug Fix: Favorites list is not correctly saved when exit.
  • Bug Fix: When all tabs are closed, click at folder bar item will not open a new folder.
  • Bug Fix: Right Panel state not saved.
  • Bug Fix: Drives bar don’t refresh when drives change.
  • Feature: Added a Navigation Bar to workspace
  • Feature: Backspace = Up one level hotkey
  • Feature: Added an Undo list bar that records file operations.
  • Feature: Added Tools-> Open Command Prompt Here... the current Folder
  • Feature: Now To-do list supports drag and drop.

Version 0.90

First release.


FAQ

FAQ

Here are some questions that are frequently asked. If you have more questions than listed below, please email to: support@shelllessworks.com

Why is ShellLess Explorer so similar with Windows Explorer?

ShellLess Explorer is Based on windows shell, so it's ultra easy to lean how to use it. You even need no help document if your are familiar with windows explorer.

What are the system requirements?

Minimum Requirements

§ 200MHz CPU

§ 128MB Memory

§ 4MB Free Disk Space

§ Microsoft Windows 2000 and above

§ Microsoft Internet Explorer 6.0

How to get registration key?

Click here to buy online. You'll then receive an e-mail containing registration key in a few minute.

How do I uninstall ShellLess Explorer?

You can find an "Uninstall ShellLess Explorer" icon in the Program Group of ShellLess. Click it and follow the instructions to uninstall ShellLess Explorer.

You can also uninstall ShellLess Explorer via "Start > Control Panel > Add or Remove Programs". Click the " ShellLess Explorer" entry and click the "Remove" button, then follow the instructions to uninstall ShellLess Explorer.

How can I customize the look and feel of ShellLess Explorer?

You can set the theme as you like via main menu "Tools>Theme"; you can customize toolbar via Right-click Menu of the toolbar area; you can change the layout of task panes by drag and drop or load layout via main menu "Tools>Layout?..


Registration

Registration

Step1: Buy online

Click here to buy ShellLess online. You’ll receive an e-mail containing your registration info in a few minute.

step2: Enter registration name and key

Choose Help -> Enter registration key, a registration dialog will pop up:

After entering the registration name and key you received from e-mail, press “Verify" button.

If the registration info is correct, it will print the detailed information of the key, or it will tell you that the key is not correct. Press “OK?to update the registration info and then the registration scheme is finished. You can now use the full version of Shelless Explorer freely without any limits and annoying trial version reminder.


License

License

License Information

LICENSE GRANT. This Software (ShellLess Explorer) is not a freeware. You may

evaluate the unregistered trial version for free for a maximum period

of 30 days. If you wish to continue using it after 30 days, you have

to register and purchase a license.

See also License.txt for more details.

The unregistered trial version is fully functional with only a random

reminder. See web site (www.shelllessworks.com) for details.

Distribution

The unregistered version may be freely distributed in unmodified form.

Terms of Use

This software is provided "as is", without any guarantee made as to its

suitability or fitness for any particular use. It may contain bugs, so

use of this tool is at your own risk. We take no responsibility for any

damage that may unintentionally be caused through its use.


Contact

Contact

Support

If you have any problem about using ShellLess Explorer, you can send e-mail to: support@shelllessworks.com.

Sales

If you have any problem about buying ShellLess Explorer, you can send e-mail to: sales@shelllessworks.com.

Business

We welcome business opportunities, such as affiliate, promotion...you can contact us by e-mail: business@shelllessworks.com.